-- Abstract syntax for query grammar for a public transit info system.
--
-- Based on demonstration grammar of multimodal input
-- by Aarne Ranta 27/8/2004
-- after discussions with Bjrn Bringert and Robin Cooper.
--
-- Modularized by Bjrn Bringert

abstract QueryBase = {

cat
  Query ;  -- message sent to the dialogue manager: sequentialized
  Input ;  -- user input: parallel text and clicks
  Click ;  -- map clicks

fun
  QInput : Input -> Query ; -- sequentialize user input

}
