package se.chalmers.cs.gf.tramdemo;

import java.util.LinkedList;
import java.util.List;

public class MapClickEventCollector implements MapClickListener {

        private List<MapClickEvent> clicks;

        public MapClickEventCollector() {
                clicks = new LinkedList<MapClickEvent>();
        }

        private synchronized void addClick(MapClickEvent e) {
                clicks.add(e);
                System.err.println("Added " + e + ", now: " + clicks);
        }

        public void mapClicked(MapClickEvent e) {
                addClick(e);
        }

        public synchronized List<MapClickEvent> getAndClearClicks() {
                List<MapClickEvent> inputClicks = clicks;
                clicks = new LinkedList<MapClickEvent>();
                return inputClicks;
        }

}
